Name:        martian-mono-nerd-fonts
Version:     3.3.0
Release:     %autorelease
Summary:     Iconic font aggregator, collection, & patcher.

BuildArch:   noarch
License:     OFL-1.1
URL:         https://github.com/ryanoasis/nerd-fonts
Source0:     %{url}/releases/download/v%{version}/MartianMono.tar.xz

%description
Nerd Fonts is a project that patches developer targeted fonts with a high
number of glyphs (icons). Specifically to add a high number of extra glyphs
from popular 'iconic fonts' such as Font Awesome, Devicons, Octicons, and
others.

%prep
%autosetup -c

%build
# Nothing to do here

%install

install -Dm644 MartianMonoNerdFont-CondensedBold.ttf %{buildroot}%{_datadir}/fonts/%{name}/MartianMonoNerdFont-CondensedBold.ttf
install -Dm644 MartianMonoNerdFont-CondensedMedium.ttf %{buildroot}%{_datadir}/fonts/%{name}/MartianMonoNerdFont-CondensedMedium.ttf
install -Dm644 MartianMonoNerdFont-CondensedRegular.ttf %{buildroot}%{_datadir}/fonts/%{name}/MartianMonoNerdFont-CondensedRegular.ttf
install -Dm644 MartianMonoNerdFontMono-CondensedBold.ttf %{buildroot}%{_datadir}/fonts/%{name}/MartianMonoNerdFontMono-CondensedBold.ttf
install -Dm644 MartianMonoNerdFontMono-CondensedMedium.ttf %{buildroot}%{_datadir}/fonts/%{name}/MartianMonoNerdFontMono-CondensedMedium.ttf
install -Dm644 MartianMonoNerdFontMono-CondensedRegular.ttf %{buildroot}%{_datadir}/fonts/%{name}/MartianMonoNerdFontMono-CondensedRegular.ttf
install -Dm644 MartianMonoNerdFontPropo-CondensedBold.ttf %{buildroot}%{_datadir}/fonts/%{name}/MartianMonoNerdFontPropo-CondensedBold.ttf
install -Dm644 MartianMonoNerdFontPropo-CondensedMedium.ttf %{buildroot}%{_datadir}/fonts/%{name}/MartianMonoNerdFontPropo-CondensedMedium.ttf
install -Dm644 MartianMonoNerdFontPropo-CondensedRegular.ttf %{buildroot}%{_datadir}/fonts/%{name}/MartianMonoNerdFontPropo-CondensedRegular.ttf
install -Dm644 MartianMonoNerdFont-Bold.ttf %{buildroot}%{_datadir}/fonts/%{name}/MartianMonoNerdFont-Bold.ttf
install -Dm644 MartianMonoNerdFont-Medium.ttf %{buildroot}%{_datadir}/fonts/%{name}/MartianMonoNerdFont-Medium.ttf
install -Dm644 MartianMonoNerdFont-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/MartianMonoNerdFont-Regular.ttf
install -Dm644 MartianMonoNerdFontMono-Bold.ttf %{buildroot}%{_datadir}/fonts/%{name}/MartianMonoNerdFontMono-Bold.ttf
install -Dm644 MartianMonoNerdFontMono-Medium.ttf %{buildroot}%{_datadir}/fonts/%{name}/MartianMonoNerdFontMono-Medium.ttf
install -Dm644 MartianMonoNerdFontMono-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/MartianMonoNerdFontMono-Regular.ttf
install -Dm644 MartianMonoNerdFontPropo-Bold.ttf %{buildroot}%{_datadir}/fonts/%{name}/MartianMonoNerdFontPropo-Bold.ttf
install -Dm644 MartianMonoNerdFontPropo-Medium.ttf %{buildroot}%{_datadir}/fonts/%{name}/MartianMonoNerdFontPropo-Medium.ttf
install -Dm644 MartianMonoNerdFontPropo-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/MartianMonoNerdFontPropo-Regular.ttf

%files

%{_datadir}/fonts/%{name}/MartianMonoNerdFont-CondensedBold.ttf
%{_datadir}/fonts/%{name}/MartianMonoNerdFont-CondensedMedium.ttf
%{_datadir}/fonts/%{name}/MartianMonoNerdFont-CondensedRegular.ttf
%{_datadir}/fonts/%{name}/MartianMonoNerdFontMono-CondensedBold.ttf
%{_datadir}/fonts/%{name}/MartianMonoNerdFontMono-CondensedMedium.ttf
%{_datadir}/fonts/%{name}/MartianMonoNerdFontMono-CondensedRegular.ttf
%{_datadir}/fonts/%{name}/MartianMonoNerdFontPropo-CondensedBold.ttf
%{_datadir}/fonts/%{name}/MartianMonoNerdFontPropo-CondensedMedium.ttf
%{_datadir}/fonts/%{name}/MartianMonoNerdFontPropo-CondensedRegular.ttf
%{_datadir}/fonts/%{name}/MartianMonoNerdFont-Bold.ttf
%{_datadir}/fonts/%{name}/MartianMonoNerdFont-Medium.ttf
%{_datadir}/fonts/%{name}/MartianMonoNerdFont-Regular.ttf
%{_datadir}/fonts/%{name}/MartianMonoNerdFontMono-Bold.ttf
%{_datadir}/fonts/%{name}/MartianMonoNerdFontMono-Medium.ttf
%{_datadir}/fonts/%{name}/MartianMonoNerdFontMono-Regular.ttf
%{_datadir}/fonts/%{name}/MartianMonoNerdFontPropo-Bold.ttf
%{_datadir}/fonts/%{name}/MartianMonoNerdFontPropo-Medium.ttf
%{_datadir}/fonts/%{name}/MartianMonoNerdFontPropo-Regular.ttf
%license "LICENSE"
%doc "README.md"

%changelog
* Sun Dec 01 2024 Kyle Bloom <kylejbloom@gmail.com> - 3.3.0-1
- Updated to version v3.3.0

* Sat Jul 20 2024 Kyle Bloom <kylejbloom@gmail.com> - 3.2.1-1
- Updated to version v3.2.1
